be.fgov.ehealth.ehbox.core.v3

## Class ErrorType

- java.lang.Object
- - be.fgov.ehealth.ehbox.core.v3.ErrorType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:11:07+01:00",
                 comments="JAXB RI v2.3.7")
      public class ErrorType
      extends Object
      implements Serializable

  Specifies content of a Error notification

  Java class for ErrorType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ErrorType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Code" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Message" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded"/>
               <choice minOccurs="0">
                 <element name="Destination" type="{urn:be:fgov:ehealth:ehbox:core:v3}EhboxIdentifierType" maxOccurs="unbounded"/>
                 <element name="Failure" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded"/>
               </choice>
             </sequence>
             <attribute name="PublicationId" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()` Gets the value of the code property.
    `List<EhboxIdentifierType>` | `getDestinations()` Gets the value of the destinations property.
    `List<String>` | `getFailures()` Gets the value of the failures property.
    `List<String>` | `getMessages()` Gets the value of the messages property.
    `String` | `getPublicationId()` Gets the value of the publicationId property.
    `void` | `setCode(String value)` Sets the value of the code property.
    `void` | `setPublicationId(String value)` Sets the value of the publicationId property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorType

          public ErrorType()

  - ### Method Detail

    - #### getCode

          public String getCode()

      Gets the value of the code property.
      Returns:
        possible object is `String`

    - #### setCode

          public void setCode(String value)

      Sets the value of the code property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMessages

          public List<String> getMessages()

      Gets the value of the messages property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the messages property.

      For example, to add a new item, do as follows:

              getMessages().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getFailures

          public List<String> getFailures()

      Gets the value of the failures property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the failures property.

      For example, to add a new item, do as follows:

              getFailures().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getDestinations

          public List<EhboxIdentifierType> getDestinations()

      Gets the value of the destinations property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the destinations property.

      For example, to add a new item, do as follows:

              getDestinations().add(newItem);

      Objects of the following type(s) are allowed in the list `EhboxIdentifierType`

    - #### getPublicationId

          public String getPublicationId()

      Gets the value of the publicationId property.
      Returns:
        possible object is `String`

    - #### setPublicationId

          public void setPublicationId(String value)

      Sets the value of the publicationId property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.